Package org.springframework.security.web.authentication

# Interface AuthenticationSuccessHandler

All Known Implementing Classes:
  `ForwardAuthenticationSuccessHandler`, `HttpMessageConverterAuthenticationSuccessHandler`, `SavedRequestAwareAuthenticationSuccessHandler`, `SimpleUrlAuthenticationSuccessHandler`

public interface AuthenticationSuccessHandler
Strategy used to handle a successful user authentication.

Implementations can do whatever they want but typical behaviour would be to control the navigation to the subsequent destination (using a redirect or a forward). For example, after a user has logged in by submitting a login form, the application needs to decide where they should be redirected to afterwards (see `AbstractAuthenticationProcessingFilter` and subclasses). Other logic may also be included if required.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`default void`
`onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.FilterChain chain, org.springframework.security.core.Authentication authentication)`
Called when a user has been successfully authenticated.
`void`
`onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`
Called when a user has been successfully authenticated.

## Method Details

### onAuthenticationSuccess

default void onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.FilterChain chain, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException
Called when a user has been successfully authenticated.

Parameters:
  `request` - the request which caused the successful authentication
  `response` - the response
  `chain` - the `FilterChain` which can be used to proceed other filters in the chain
  `authentication` - the `Authentication` object which was created during the authentication process.
Throws:
  `IOException`
  `jakarta.servlet.ServletException`
Since:
  5.2.0

### onAuthenticationSuccess

void onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException
Called when a user has been successfully authenticated.

Parameters:
  `request` - the request which caused the successful authentication
  `response` - the response
  `authentication` - the `Authentication` object which was created during the authentication process.
Throws:
  `IOException`
  `jakarta.servlet.ServletException`